Failover Groups - Update
Updates a failover group.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/failoverGroups/{failoverGroupName}?api-version=2021-02-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
failover
|
path | True |
|
The name of the failover group. |
|
resource
|
path | True |
|
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
server
|
path | True |
|
The name of the server containing the failover group. |
|
subscription
|
path | True |
|
The subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
|
The API version to use for the request. |
Request Body
| Name | Type | Description |
|---|---|---|
| properties.databases |
|
List of databases in the failover group. |
| properties.readOnlyEndpoint |
Read-only endpoint of the failover group instance. |
|
| properties.readWriteEndpoint |
Read-write endpoint of the failover group instance. |
|
| tags |
|
Resource tags. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully updated the failover group. |
|
| 202 Accepted |
Accepted |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
Update failover group
Sample Request
PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/failoverGroups/failover-group-test-1?api-version=2021-02-01-preview
{
"properties": {
"readWriteEndpoint": {
"failoverPolicy": "Automatic",
"failoverWithDataLossGracePeriodMinutes": 120
},
"databases": [
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/databases/testdb-1"
]
}
}
Sample Response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/failoverGroups/failover-group-test-3",
"name": "failover-group-test-3",
"type": "Microsoft.Sql/servers/failoverGroups",
"location": "Japan East",
"properties": {
"readWriteEndpoint": {
"failoverPolicy": "Automatic",
"failoverWithDataLossGracePeriodMinutes": 120
},
"readOnlyEndpoint": {
"failoverPolicy": "Disabled"
},
"replicationRole": "Primary",
"replicationState": "CATCH_UP",
"partnerServers": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-secondary-server",
"location": "Japan West",
"replicationRole": "Secondary"
}
],
"databases": [
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/databases/testdb-1"
]
}
}
Definitions
|
Failover |
A failover group. |
|
Failover |
Read-only endpoint of the failover group instance. |
|
Failover |
Read-write endpoint of the failover group instance. |
|
Failover |
Local replication role of the failover group instance. |
|
Failover |
A failover group update request. |
|
Partner |
Partner server information for the failover group. |
|
Read |
Failover policy of the read-only endpoint for the failover group. |
|
Read |
Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required. |
FailoverGroup
A failover group.
| Name | Type | Description |
|---|---|---|
| id |
|
Resource ID. |
| location |
|
Resource location. |
| name |
|
Resource name. |
| properties.databases |
|
List of databases in the failover group. |
| properties.partnerServers |
List of partner server information for the failover group. |
|
| properties.readOnlyEndpoint |
Read-only endpoint of the failover group instance. |
|
| properties.readWriteEndpoint |
Read-write endpoint of the failover group instance. |
|
| properties.replicationRole |
Local replication role of the failover group instance. |
|
| properties.replicationState |
|
Replication state of the failover group instance. |
| tags |
|
Resource tags. |
| type |
|
Resource type. |
FailoverGroupReadOnlyEndpoint
Read-only endpoint of the failover group instance.
| Name | Type | Description |
|---|---|---|
| failoverPolicy |
Failover policy of the read-only endpoint for the failover group. |
FailoverGroupReadWriteEndpoint
Read-write endpoint of the failover group instance.
| Name | Type | Description |
|---|---|---|
| failoverPolicy |
Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required. |
|
| failoverWithDataLossGracePeriodMinutes |
|
Grace period before failover with data loss is attempted for the read-write endpoint. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required. |
FailoverGroupReplicationRole
Local replication role of the failover group instance.
| Name | Type | Description |
|---|---|---|
| Primary |
|
|
| Secondary |
|
FailoverGroupUpdate
A failover group update request.
| Name | Type | Description |
|---|---|---|
| properties.databases |
|
List of databases in the failover group. |
| properties.readOnlyEndpoint |
Read-only endpoint of the failover group instance. |
|
| properties.readWriteEndpoint |
Read-write endpoint of the failover group instance. |
|
| tags |
|
Resource tags. |
PartnerInfo
Partner server information for the failover group.
| Name | Type | Description |
|---|---|---|
| id |
|
Resource identifier of the partner server. |
| location |
|
Geo location of the partner server. |
| replicationRole |
Replication role of the partner server. |
ReadOnlyEndpointFailoverPolicy
Failover policy of the read-only endpoint for the failover group.
| Name | Type | Description |
|---|---|---|
| Disabled |
|
|
| Enabled |
|
ReadWriteEndpointFailoverPolicy
Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required.
| Name | Type | Description |
|---|---|---|
| Automatic |
|
|
| Manual |
|